unit schInfVentasArticuloServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, schInfVentasArticuloClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_InfVentasArticuloDelta = '{6635FE65-F0F8-4CD2-B59F-7D652D70ED1A}';

type
  { IInfVentasArticuloDelta }
  IInfVentasArticuloDelta = interface(IInfVentasArticulo)
  ['{6635FE65-F0F8-4CD2-B59F-7D652D70ED1A}']
    { Property getters and setters }
    function GetOldID_FACTURAValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldREFERENCIA_FACTURAValue : String;
    function GetOldFECHA_FACTURAValue : DateTime;
    function GetOldIMPORTE_TOTAL_FACTURAValue : Currency;
    function GetOldID_COMISION_FACTURAValue : Integer;
    function GetOldID_ARTICULOValue : Integer;
    function GetOldFAMILIAValue : String;
    function GetOldREFERENCIAValue : String;
    function GetOldREFERENCIA_PROVValue : String;
    function GetOldDESCRIPCIONValue : String;
    function GetOldCOMISIONABLEValue : Integer;
    function GetOldINVENTARIABLEValue : Integer;
    function GetOldIMPORTE_UNIDAD_COSTEValue : Currency;
    function GetOldDESCUENTO_PROVEEDOR_COSTEValue : Float;
    function GetOldIMPORTE_NETO_COSTEValue : Currency;
    function GetOldIMPORTE_PORTE_COSTEValue : Currency;
    function GetOldCANTIDADValue : Integer;
    function GetOldIMPORTE_UNIDAD_VENTAValue : Currency;
    function GetOldDESCUENTO_CLIENTE_VENTAValue : Float;
    function GetOldIMPORTE_NETO_VENTAValue : Float;
    function GetOldIMPORTE_PORTE_VENTAValue : Float;
    function GetOldIMPORTE_TOTAL_VENTAValue : Currency;
    function GetOldNIF_CIF_PROVEEDORValue : String;
    function GetOldNOMBRE_PROVEEDORValue : String;
    function GetOldCALLE_PROVEEDORValue : String;
    function GetOldPOBLACION_PROVEEDORValue : String;
    function GetOldPROVINCIA_PROVEEDORValue : String;
    function GetOldNIF_CIF_CLIENTEValue : String;
    function GetOldNOMBRE_CLIENTEValue : String;
    function GetOldNOMBRE_COMERCIAL_CLIENTEValue : String;
    function GetOldCALLE_CLIENTEValue : String;
    function GetOldPOBLACION_CLIENTEValue : String;
    function GetOldPROVINCIA_CLIENTEValue : String;
    function GetOldNIF_CIF_AGENTEValue : String;
    function GetOldNOMBRE_AGENTEValue : String;
    function GetOldCALLE_AGENTEValue : String;
    function GetOldPOBLACION_AGENTEValue : String;
    function GetOldPROVINCIA_AGENTEValue : String;
    function GetOldCOMISION_AGENTEValue : Float;
    function GetOldIMPORTE_COMISION_AGENTEValue : Currency;

    { Properties }
    property OldID_FACTURA : Integer read GetOldID_FACTURAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldREFERENCIA_FACTURA : String read GetOldREFERENCIA_FACTURAValue;
    property OldFECHA_FACTURA : DateTime read GetOldFECHA_FACTURAValue;
    property OldIMPORTE_TOTAL_FACTURA : Currency read GetOldIMPORTE_TOTAL_FACTURAValue;
    property OldID_COMISION_FACTURA : Integer read GetOldID_COMISION_FACTURAValue;
    property OldID_ARTICULO : Integer read GetOldID_ARTICULOValue;
    property OldFAMILIA : String read GetOldFAMILIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldREFERENCIA_PROV : String read GetOldREFERENCIA_PROVValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldCOMISIONABLE : Integer read GetOldCOMISIONABLEValue;
    property OldINVENTARIABLE : Integer read GetOldINVENTARIABLEValue;
    property OldIMPORTE_UNIDAD_COSTE : Currency read GetOldIMPORTE_UNIDAD_COSTEValue;
    property OldDESCUENTO_PROVEEDOR_COSTE : Float read GetOldDESCUENTO_PROVEEDOR_COSTEValue;
    property OldIMPORTE_NETO_COSTE : Currency read GetOldIMPORTE_NETO_COSTEValue;
    property OldIMPORTE_PORTE_COSTE : Currency read GetOldIMPORTE_PORTE_COSTEValue;
    property OldCANTIDAD : Integer read GetOldCANTIDADValue;
    property OldIMPORTE_UNIDAD_VENTA : Currency read GetOldIMPORTE_UNIDAD_VENTAValue;
    property OldDESCUENTO_CLIENTE_VENTA : Float read GetOldDESCUENTO_CLIENTE_VENTAValue;
    property OldIMPORTE_NETO_VENTA : Float read GetOldIMPORTE_NETO_VENTAValue;
    property OldIMPORTE_PORTE_VENTA : Float read GetOldIMPORTE_PORTE_VENTAValue;
    property OldIMPORTE_TOTAL_VENTA : Currency read GetOldIMPORTE_TOTAL_VENTAValue;
    property OldNIF_CIF_PROVEEDOR : String read GetOldNIF_CIF_PROVEEDORValue;
    property OldNOMBRE_PROVEEDOR : String read GetOldNOMBRE_PROVEEDORValue;
    property OldCALLE_PROVEEDOR : String read GetOldCALLE_PROVEEDORValue;
    property OldPOBLACION_PROVEEDOR : String read GetOldPOBLACION_PROVEEDORValue;
    property OldPROVINCIA_PROVEEDOR : String read GetOldPROVINCIA_PROVEEDORValue;
    property OldNIF_CIF_CLIENTE : String read GetOldNIF_CIF_CLIENTEValue;
    property OldNOMBRE_CLIENTE : String read GetOldNOMBRE_CLIENTEValue;
    property OldNOMBRE_COMERCIAL_CLIENTE : String read GetOldNOMBRE_COMERCIAL_CLIENTEValue;
    property OldCALLE_CLIENTE : String read GetOldCALLE_CLIENTEValue;
    property OldPOBLACION_CLIENTE : String read GetOldPOBLACION_CLIENTEValue;
    property OldPROVINCIA_CLIENTE : String read GetOldPROVINCIA_CLIENTEValue;
    property OldNIF_CIF_AGENTE : String read GetOldNIF_CIF_AGENTEValue;
    property OldNOMBRE_AGENTE : String read GetOldNOMBRE_AGENTEValue;
    property OldCALLE_AGENTE : String read GetOldCALLE_AGENTEValue;
    property OldPOBLACION_AGENTE : String read GetOldPOBLACION_AGENTEValue;
    property OldPROVINCIA_AGENTE : String read GetOldPROVINCIA_AGENTEValue;
    property OldCOMISION_AGENTE : Float read GetOldCOMISION_AGENTEValue;
    property OldIMPORTE_COMISION_AGENTE : Currency read GetOldIMPORTE_COMISION_AGENTEValue;
  end;

  { TInfVentasArticuloBusinessProcessorRules }
  TInfVentasArticuloBusinessProcessorRules = class(TDABusinessProcessorRules, IInfVentasArticulo, IInfVentasArticuloDelta)
  private
  protected
    { Property getters and setters }
    function GetID_FACTURAValue: Integer; virtual;
    function GetOldID_FACTURAValue: Integer; virtual;
    procedure SetID_FACTURAValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetREFERENCIA_FACTURAValue: String; virtual;
    function GetOldREFERENCIA_FACTURAValue: String; virtual;
    procedure SetREFERENCIA_FACTURAValue(const aValue: String); virtual;
    function GetFECHA_FACTURAValue: DateTime; virtual;
    function GetOldFECHA_FACTURAValue: DateTime; virtual;
    procedure SetFECHA_FACTURAValue(const aValue: DateTime); virtual;
    function GetIMPORTE_TOTAL_FACTURAValue: Currency; virtual;
    function GetOldIMPORTE_TOTAL_FACTURAValue: Currency; virtual;
    procedure SetIMPORTE_TOTAL_FACTURAValue(const aValue: Currency); virtual;
    function GetID_COMISION_FACTURAValue: Integer; virtual;
    function GetOldID_COMISION_FACTURAValue: Integer; virtual;
    procedure SetID_COMISION_FACTURAValue(const aValue: Integer); virtual;
    function GetID_ARTICULOValue: Integer; virtual;
    function GetOldID_ARTICULOValue: Integer; virtual;
    procedure SetID_ARTICULOValue(const aValue: Integer); virtual;
    function GetFAMILIAValue: String; virtual;
    function GetOldFAMILIAValue: String; virtual;
    procedure SetFAMILIAValue(const aValue: String); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetREFERENCIA_PROVValue: String; virtual;
    function GetOldREFERENCIA_PROVValue: String; virtual;
    procedure SetREFERENCIA_PROVValue(const aValue: String); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetCOMISIONABLEValue: Integer; virtual;
    function GetOldCOMISIONABLEValue: Integer; virtual;
    procedure SetCOMISIONABLEValue(const aValue: Integer); virtual;
    function GetINVENTARIABLEValue: Integer; virtual;
    function GetOldINVENTARIABLEValue: Integer; virtual;
    procedure SetINVENTARIABLEValue(const aValue: Integer); virtual;
    function GetIMPORTE_UNIDAD_COSTEValue: Currency; virtual;
    function GetOldIMPORTE_UNIDAD_COSTEValue: Currency; virtual;
    procedure SetIMPORTE_UNIDAD_COSTEValue(const aValue: Currency); virtual;
    function GetDESCUENTO_PROVEEDOR_COSTEValue: Float; virtual;
    function GetOldDESCUENTO_PROVEEDOR_COSTEValue: Float; virtual;
    procedure SetDESCUENTO_PROVEEDOR_COSTEValue(const aValue: Float); virtual;
    function GetIMPORTE_NETO_COSTEValue: Currency; virtual;
    function GetOldIMPORTE_NETO_COSTEValue: Currency; virtual;
    procedure SetIMPORTE_NETO_COSTEValue(const aValue: Currency); virtual;
    function GetIMPORTE_PORTE_COSTEValue: Currency; virtual;
    function GetOldIMPORTE_PORTE_COSTEValue: Currency; virtual;
    procedure SetIMPORTE_PORTE_COSTEValue(const aValue: Currency); virtual;
    function GetCANTIDADValue: Integer; virtual;
    function GetOldCANTIDADValue: Integer; virtual;
    procedure SetCANTIDADValue(const aValue: Integer); virtual;
    function GetIMPORTE_UNIDAD_VENTAValue: Currency; virtual;
    function GetOldIMPORTE_UNIDAD_VENTAValue: Currency; virtual;
    procedure SetIMPORTE_UNIDAD_VENTAValue(const aValue: Currency); virtual;
    function GetDESCUENTO_CLIENTE_VENTAValue: Float; virtual;
    function GetOldDESCUENTO_CLIENTE_VENTAValue: Float; virtual;
    procedure SetDESCUENTO_CLIENTE_VENTAValue(const aValue: Float); virtual;
    function GetIMPORTE_NETO_VENTAValue: Float; virtual;
    function GetOldIMPORTE_NETO_VENTAValue: Float; virtual;
    procedure SetIMPORTE_NETO_VENTAValue(const aValue: Float); virtual;
    function GetIMPORTE_PORTE_VENTAValue: Float; virtual;
    function GetOldIMPORTE_PORTE_VENTAValue: Float; virtual;
    procedure SetIMPORTE_PORTE_VENTAValue(const aValue: Float); virtual;
    function GetIMPORTE_TOTAL_VENTAValue: Currency; virtual;
    function GetOldIMPORTE_TOTAL_VENTAValue: Currency; virtual;
    procedure SetIMPORTE_TOTAL_VENTAValue(const aValue: Currency); virtual;
    function GetNIF_CIF_PROVEEDORValue: String; virtual;
    function GetOldNIF_CIF_PROVEEDORValue: String; virtual;
    procedure SetNIF_CIF_PROVEEDORValue(const aValue: String); virtual;
    function GetNOMBRE_PROVEEDORValue: String; virtual;
    function GetOldNOMBRE_PROVEEDORValue: String; virtual;
    procedure SetNOMBRE_PROVEEDORValue(const aValue: String); virtual;
    function GetCALLE_PROVEEDORValue: String; virtual;
    function GetOldCALLE_PROVEEDORValue: String; virtual;
    procedure SetCALLE_PROVEEDORValue(const aValue: String); virtual;
    function GetPOBLACION_PROVEEDORValue: String; virtual;
    function GetOldPOBLACION_PROVEEDORValue: String; virtual;
    procedure SetPOBLACION_PROVEEDORValue(const aValue: String); virtual;
    function GetPROVINCIA_PROVEEDORValue: String; virtual;
    function GetOldPROVINCIA_PROVEEDORValue: String; virtual;
    procedure SetPROVINCIA_PROVEEDORValue(const aValue: String); virtual;
    function GetNIF_CIF_CLIENTEValue: String; virtual;
    function GetOldNIF_CIF_CLIENTEValue: String; virtual;
    procedure SetNIF_CIF_CLIENTEValue(const aValue: String); virtual;
    function GetNOMBRE_CLIENTEValue: String; virtual;
    function GetOldNOMBRE_CLIENTEValue: String; virtual;
    procedure SetNOMBRE_CLIENTEValue(const aValue: String); virtual;
    function GetNOMBRE_COMERCIAL_CLIENTEValue: String; virtual;
    function GetOldNOMBRE_COMERCIAL_CLIENTEValue: String; virtual;
    procedure SetNOMBRE_COMERCIAL_CLIENTEValue(const aValue: String); virtual;
    function GetCALLE_CLIENTEValue: String; virtual;
    function GetOldCALLE_CLIENTEValue: String; virtual;
    procedure SetCALLE_CLIENTEValue(const aValue: String); virtual;
    function GetPOBLACION_CLIENTEValue: String; virtual;
    function GetOldPOBLACION_CLIENTEValue: String; virtual;
    procedure SetPOBLACION_CLIENTEValue(const aValue: String); virtual;
    function GetPROVINCIA_CLIENTEValue: String; virtual;
    function GetOldPROVINCIA_CLIENTEValue: String; virtual;
    procedure SetPROVINCIA_CLIENTEValue(const aValue: String); virtual;
    function GetNIF_CIF_AGENTEValue: String; virtual;
    function GetOldNIF_CIF_AGENTEValue: String; virtual;
    procedure SetNIF_CIF_AGENTEValue(const aValue: String); virtual;
    function GetNOMBRE_AGENTEValue: String; virtual;
    function GetOldNOMBRE_AGENTEValue: String; virtual;
    procedure SetNOMBRE_AGENTEValue(const aValue: String); virtual;
    function GetCALLE_AGENTEValue: String; virtual;
    function GetOldCALLE_AGENTEValue: String; virtual;
    procedure SetCALLE_AGENTEValue(const aValue: String); virtual;
    function GetPOBLACION_AGENTEValue: String; virtual;
    function GetOldPOBLACION_AGENTEValue: String; virtual;
    procedure SetPOBLACION_AGENTEValue(const aValue: String); virtual;
    function GetPROVINCIA_AGENTEValue: String; virtual;
    function GetOldPROVINCIA_AGENTEValue: String; virtual;
    procedure SetPROVINCIA_AGENTEValue(const aValue: String); virtual;
    function GetCOMISION_AGENTEValue: Float; virtual;
    function GetOldCOMISION_AGENTEValue: Float; virtual;
    procedure SetCOMISION_AGENTEValue(const aValue: Float); virtual;
    function GetIMPORTE_COMISION_AGENTEValue: Currency; virtual;
    function GetOldIMPORTE_COMISION_AGENTEValue: Currency; virtual;
    procedure SetIMPORTE_COMISION_AGENTEValue(const aValue: Currency); virtual;

    { Properties }
    property ID_FACTURA : Integer read GetID_FACTURAValue write SetID_FACTURAValue;
    property OldID_FACTURA : Integer read GetOldID_FACTURAValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property REFERENCIA_FACTURA : String read GetREFERENCIA_FACTURAValue write SetREFERENCIA_FACTURAValue;
    property OldREFERENCIA_FACTURA : String read GetOldREFERENCIA_FACTURAValue;
    property FECHA_FACTURA : DateTime read GetFECHA_FACTURAValue write SetFECHA_FACTURAValue;
    property OldFECHA_FACTURA : DateTime read GetOldFECHA_FACTURAValue;
    property IMPORTE_TOTAL_FACTURA : Currency read GetIMPORTE_TOTAL_FACTURAValue write SetIMPORTE_TOTAL_FACTURAValue;
    property OldIMPORTE_TOTAL_FACTURA : Currency read GetOldIMPORTE_TOTAL_FACTURAValue;
    property ID_COMISION_FACTURA : Integer read GetID_COMISION_FACTURAValue write SetID_COMISION_FACTURAValue;
    property OldID_COMISION_FACTURA : Integer read GetOldID_COMISION_FACTURAValue;
    property ID_ARTICULO : Integer read GetID_ARTICULOValue write SetID_ARTICULOValue;
    property OldID_ARTICULO : Integer read GetOldID_ARTICULOValue;
    property FAMILIA : String read GetFAMILIAValue write SetFAMILIAValue;
    property OldFAMILIA : String read GetOldFAMILIAValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property REFERENCIA_PROV : String read GetREFERENCIA_PROVValue write SetREFERENCIA_PROVValue;
    property OldREFERENCIA_PROV : String read GetOldREFERENCIA_PROVValue;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property COMISIONABLE : Integer read GetCOMISIONABLEValue write SetCOMISIONABLEValue;
    property OldCOMISIONABLE : Integer read GetOldCOMISIONABLEValue;
    property INVENTARIABLE : Integer read GetINVENTARIABLEValue write SetINVENTARIABLEValue;
    property OldINVENTARIABLE : Integer read GetOldINVENTARIABLEValue;
    property IMPORTE_UNIDAD_COSTE : Currency read GetIMPORTE_UNIDAD_COSTEValue write SetIMPORTE_UNIDAD_COSTEValue;
    property OldIMPORTE_UNIDAD_COSTE : Currency read GetOldIMPORTE_UNIDAD_COSTEValue;
    property DESCUENTO_PROVEEDOR_COSTE : Float read GetDESCUENTO_PROVEEDOR_COSTEValue write SetDESCUENTO_PROVEEDOR_COSTEValue;
    property OldDESCUENTO_PROVEEDOR_COSTE : Float read GetOldDESCUENTO_PROVEEDOR_COSTEValue;
    property IMPORTE_NETO_COSTE : Currency read GetIMPORTE_NETO_COSTEValue write SetIMPORTE_NETO_COSTEValue;
    property OldIMPORTE_NETO_COSTE : Currency read GetOldIMPORTE_NETO_COSTEValue;
    property IMPORTE_PORTE_COSTE : Currency read GetIMPORTE_PORTE_COSTEValue write SetIMPORTE_PORTE_COSTEValue;
    property OldIMPORTE_PORTE_COSTE : Currency read GetOldIMPORTE_PORTE_COSTEValue;
    property CANTIDAD : Integer read GetCANTIDADValue write SetCANTIDADValue;
    property OldCANTIDAD : Integer read GetOldCANTIDADValue;
    property IMPORTE_UNIDAD_VENTA : Currency read GetIMPORTE_UNIDAD_VENTAValue write SetIMPORTE_UNIDAD_VENTAValue;
    property OldIMPORTE_UNIDAD_VENTA : Currency read GetOldIMPORTE_UNIDAD_VENTAValue;
    property DESCUENTO_CLIENTE_VENTA : Float read GetDESCUENTO_CLIENTE_VENTAValue write SetDESCUENTO_CLIENTE_VENTAValue;
    property OldDESCUENTO_CLIENTE_VENTA : Float read GetOldDESCUENTO_CLIENTE_VENTAValue;
    property IMPORTE_NETO_VENTA : Float read GetIMPORTE_NETO_VENTAValue write SetIMPORTE_NETO_VENTAValue;
    property OldIMPORTE_NETO_VENTA : Float read GetOldIMPORTE_NETO_VENTAValue;
    property IMPORTE_PORTE_VENTA : Float read GetIMPORTE_PORTE_VENTAValue write SetIMPORTE_PORTE_VENTAValue;
    property OldIMPORTE_PORTE_VENTA : Float read GetOldIMPORTE_PORTE_VENTAValue;
    property IMPORTE_TOTAL_VENTA : Currency read GetIMPORTE_TOTAL_VENTAValue write SetIMPORTE_TOTAL_VENTAValue;
    property OldIMPORTE_TOTAL_VENTA : Currency read GetOldIMPORTE_TOTAL_VENTAValue;
    property NIF_CIF_PROVEEDOR : String read GetNIF_CIF_PROVEEDORValue write SetNIF_CIF_PROVEEDORValue;
    property OldNIF_CIF_PROVEEDOR : String read GetOldNIF_CIF_PROVEEDORValue;
    property NOMBRE_PROVEEDOR : String read GetNOMBRE_PROVEEDORValue write SetNOMBRE_PROVEEDORValue;
    property OldNOMBRE_PROVEEDOR : String read GetOldNOMBRE_PROVEEDORValue;
    property CALLE_PROVEEDOR : String read GetCALLE_PROVEEDORValue write SetCALLE_PROVEEDORValue;
    property OldCALLE_PROVEEDOR : String read GetOldCALLE_PROVEEDORValue;
    property POBLACION_PROVEEDOR : String read GetPOBLACION_PROVEEDORValue write SetPOBLACION_PROVEEDORValue;
    property OldPOBLACION_PROVEEDOR : String read GetOldPOBLACION_PROVEEDORValue;
    property PROVINCIA_PROVEEDOR : String read GetPROVINCIA_PROVEEDORValue write SetPROVINCIA_PROVEEDORValue;
    property OldPROVINCIA_PROVEEDOR : String read GetOldPROVINCIA_PROVEEDORValue;
    property NIF_CIF_CLIENTE : String read GetNIF_CIF_CLIENTEValue write SetNIF_CIF_CLIENTEValue;
    property OldNIF_CIF_CLIENTE : String read GetOldNIF_CIF_CLIENTEValue;
    property NOMBRE_CLIENTE : String read GetNOMBRE_CLIENTEValue write SetNOMBRE_CLIENTEValue;
    property OldNOMBRE_CLIENTE : String read GetOldNOMBRE_CLIENTEValue;
    property NOMBRE_COMERCIAL_CLIENTE : String read GetNOMBRE_COMERCIAL_CLIENTEValue write SetNOMBRE_COMERCIAL_CLIENTEValue;
    property OldNOMBRE_COMERCIAL_CLIENTE : String read GetOldNOMBRE_COMERCIAL_CLIENTEValue;
    property CALLE_CLIENTE : String read GetCALLE_CLIENTEValue write SetCALLE_CLIENTEValue;
    property OldCALLE_CLIENTE : String read GetOldCALLE_CLIENTEValue;
    property POBLACION_CLIENTE : String read GetPOBLACION_CLIENTEValue write SetPOBLACION_CLIENTEValue;
    property OldPOBLACION_CLIENTE : String read GetOldPOBLACION_CLIENTEValue;
    property PROVINCIA_CLIENTE : String read GetPROVINCIA_CLIENTEValue write SetPROVINCIA_CLIENTEValue;
    property OldPROVINCIA_CLIENTE : String read GetOldPROVINCIA_CLIENTEValue;
    property NIF_CIF_AGENTE : String read GetNIF_CIF_AGENTEValue write SetNIF_CIF_AGENTEValue;
    property OldNIF_CIF_AGENTE : String read GetOldNIF_CIF_AGENTEValue;
    property NOMBRE_AGENTE : String read GetNOMBRE_AGENTEValue write SetNOMBRE_AGENTEValue;
    property OldNOMBRE_AGENTE : String read GetOldNOMBRE_AGENTEValue;
    property CALLE_AGENTE : String read GetCALLE_AGENTEValue write SetCALLE_AGENTEValue;
    property OldCALLE_AGENTE : String read GetOldCALLE_AGENTEValue;
    property POBLACION_AGENTE : String read GetPOBLACION_AGENTEValue write SetPOBLACION_AGENTEValue;
    property OldPOBLACION_AGENTE : String read GetOldPOBLACION_AGENTEValue;
    property PROVINCIA_AGENTE : String read GetPROVINCIA_AGENTEValue write SetPROVINCIA_AGENTEValue;
    property OldPROVINCIA_AGENTE : String read GetOldPROVINCIA_AGENTEValue;
    property COMISION_AGENTE : Float read GetCOMISION_AGENTEValue write SetCOMISION_AGENTEValue;
    property OldCOMISION_AGENTE : Float read GetOldCOMISION_AGENTEValue;
    property IMPORTE_COMISION_AGENTE : Currency read GetIMPORTE_COMISION_AGENTEValue write SetIMPORTE_COMISION_AGENTEValue;
    property OldIMPORTE_COMISION_AGENTE : Currency read GetOldIMPORTE_COMISION_AGENTEValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers;

{ TInfVentasArticuloBusinessProcessorRules }
constructor TInfVentasArticuloBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TInfVentasArticuloBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TInfVentasArticuloBusinessProcessorRules.GetID_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloID_FACTURA];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldID_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloID_FACTURA];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetID_FACTURAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloID_FACTURA] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloID_EMPRESA];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloID_EMPRESA];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloID_EMPRESA] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetREFERENCIA_FACTURAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloREFERENCIA_FACTURA];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldREFERENCIA_FACTURAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloREFERENCIA_FACTURA];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetREFERENCIA_FACTURAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloREFERENCIA_FACTURA] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetFECHA_FACTURAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloFECHA_FACTURA];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldFECHA_FACTURAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloFECHA_FACTURA];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetFECHA_FACTURAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloFECHA_FACTURA] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetIMPORTE_TOTAL_FACTURAValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloIMPORTE_TOTAL_FACTURA];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldIMPORTE_TOTAL_FACTURAValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloIMPORTE_TOTAL_FACTURA];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetIMPORTE_TOTAL_FACTURAValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloIMPORTE_TOTAL_FACTURA] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetID_COMISION_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloID_COMISION_FACTURA];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldID_COMISION_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloID_COMISION_FACTURA];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetID_COMISION_FACTURAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloID_COMISION_FACTURA] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetID_ARTICULOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloID_ARTICULO];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldID_ARTICULOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloID_ARTICULO];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetID_ARTICULOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloID_ARTICULO] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetFAMILIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloFAMILIA];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldFAMILIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloFAMILIA];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetFAMILIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloFAMILIA] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloREFERENCIA];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloREFERENCIA];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloREFERENCIA] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetREFERENCIA_PROVValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloREFERENCIA_PROV];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldREFERENCIA_PROVValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloREFERENCIA_PROV];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetREFERENCIA_PROVValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloREFERENCIA_PROV] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloDESCRIPCION];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloDESCRIPCION];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloDESCRIPCION] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetCOMISIONABLEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloCOMISIONABLE];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldCOMISIONABLEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloCOMISIONABLE];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetCOMISIONABLEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloCOMISIONABLE] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetINVENTARIABLEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloINVENTARIABLE];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldINVENTARIABLEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloINVENTARIABLE];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetINVENTARIABLEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloINVENTARIABLE] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetIMPORTE_UNIDAD_COSTEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloIMPORTE_UNIDAD_COSTE];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldIMPORTE_UNIDAD_COSTEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloIMPORTE_UNIDAD_COSTE];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetIMPORTE_UNIDAD_COSTEValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloIMPORTE_UNIDAD_COSTE] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetDESCUENTO_PROVEEDOR_COSTEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloDESCUENTO_PROVEEDOR_COSTE];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldDESCUENTO_PROVEEDOR_COSTEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloDESCUENTO_PROVEEDOR_COSTE];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetDESCUENTO_PROVEEDOR_COSTEValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloDESCUENTO_PROVEEDOR_COSTE] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetIMPORTE_NETO_COSTEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloIMPORTE_NETO_COSTE];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldIMPORTE_NETO_COSTEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloIMPORTE_NETO_COSTE];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetIMPORTE_NETO_COSTEValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloIMPORTE_NETO_COSTE] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetIMPORTE_PORTE_COSTEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloIMPORTE_PORTE_COSTE];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldIMPORTE_PORTE_COSTEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloIMPORTE_PORTE_COSTE];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetIMPORTE_PORTE_COSTEValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloIMPORTE_PORTE_COSTE] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetCANTIDADValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloCANTIDAD];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldCANTIDADValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloCANTIDAD];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetCANTIDADValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloCANTIDAD] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetIMPORTE_UNIDAD_VENTAValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloIMPORTE_UNIDAD_VENTA];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldIMPORTE_UNIDAD_VENTAValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloIMPORTE_UNIDAD_VENTA];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetIMPORTE_UNIDAD_VENTAValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloIMPORTE_UNIDAD_VENTA] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetDESCUENTO_CLIENTE_VENTAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloDESCUENTO_CLIENTE_VENTA];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldDESCUENTO_CLIENTE_VENTAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloDESCUENTO_CLIENTE_VENTA];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetDESCUENTO_CLIENTE_VENTAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloDESCUENTO_CLIENTE_VENTA] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetIMPORTE_NETO_VENTAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloIMPORTE_NETO_VENTA];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldIMPORTE_NETO_VENTAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloIMPORTE_NETO_VENTA];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetIMPORTE_NETO_VENTAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloIMPORTE_NETO_VENTA] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetIMPORTE_PORTE_VENTAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloIMPORTE_PORTE_VENTA];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldIMPORTE_PORTE_VENTAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloIMPORTE_PORTE_VENTA];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetIMPORTE_PORTE_VENTAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloIMPORTE_PORTE_VENTA] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetIMPORTE_TOTAL_VENTAValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloIMPORTE_TOTAL_VENTA];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldIMPORTE_TOTAL_VENTAValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloIMPORTE_TOTAL_VENTA];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetIMPORTE_TOTAL_VENTAValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloIMPORTE_TOTAL_VENTA] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetNIF_CIF_PROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloNIF_CIF_PROVEEDOR];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldNIF_CIF_PROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloNIF_CIF_PROVEEDOR];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetNIF_CIF_PROVEEDORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloNIF_CIF_PROVEEDOR] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetNOMBRE_PROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloNOMBRE_PROVEEDOR];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldNOMBRE_PROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloNOMBRE_PROVEEDOR];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetNOMBRE_PROVEEDORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloNOMBRE_PROVEEDOR] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetCALLE_PROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloCALLE_PROVEEDOR];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldCALLE_PROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloCALLE_PROVEEDOR];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetCALLE_PROVEEDORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloCALLE_PROVEEDOR] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetPOBLACION_PROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloPOBLACION_PROVEEDOR];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldPOBLACION_PROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloPOBLACION_PROVEEDOR];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetPOBLACION_PROVEEDORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloPOBLACION_PROVEEDOR] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetPROVINCIA_PROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloPROVINCIA_PROVEEDOR];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldPROVINCIA_PROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloPROVINCIA_PROVEEDOR];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetPROVINCIA_PROVEEDORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloPROVINCIA_PROVEEDOR] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetNIF_CIF_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloNIF_CIF_CLIENTE];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldNIF_CIF_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloNIF_CIF_CLIENTE];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetNIF_CIF_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloNIF_CIF_CLIENTE] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetNOMBRE_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloNOMBRE_CLIENTE];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldNOMBRE_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloNOMBRE_CLIENTE];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetNOMBRE_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloNOMBRE_CLIENTE] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetNOMBRE_COMERCIAL_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloNOMBRE_COMERCIAL_CLIENTE];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldNOMBRE_COMERCIAL_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloNOMBRE_COMERCIAL_CLIENTE];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetNOMBRE_COMERCIAL_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloNOMBRE_COMERCIAL_CLIENTE] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetCALLE_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloCALLE_CLIENTE];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldCALLE_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloCALLE_CLIENTE];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetCALLE_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloCALLE_CLIENTE] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetPOBLACION_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloPOBLACION_CLIENTE];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldPOBLACION_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloPOBLACION_CLIENTE];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetPOBLACION_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloPOBLACION_CLIENTE] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetPROVINCIA_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloPROVINCIA_CLIENTE];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldPROVINCIA_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloPROVINCIA_CLIENTE];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetPROVINCIA_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloPROVINCIA_CLIENTE] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetNIF_CIF_AGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloNIF_CIF_AGENTE];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldNIF_CIF_AGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloNIF_CIF_AGENTE];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetNIF_CIF_AGENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloNIF_CIF_AGENTE] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetNOMBRE_AGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloNOMBRE_AGENTE];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldNOMBRE_AGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloNOMBRE_AGENTE];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetNOMBRE_AGENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloNOMBRE_AGENTE] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetCALLE_AGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloCALLE_AGENTE];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldCALLE_AGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloCALLE_AGENTE];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetCALLE_AGENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloCALLE_AGENTE] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetPOBLACION_AGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloPOBLACION_AGENTE];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldPOBLACION_AGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloPOBLACION_AGENTE];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetPOBLACION_AGENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloPOBLACION_AGENTE] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetPROVINCIA_AGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloPROVINCIA_AGENTE];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldPROVINCIA_AGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloPROVINCIA_AGENTE];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetPROVINCIA_AGENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloPROVINCIA_AGENTE] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetCOMISION_AGENTEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloCOMISION_AGENTE];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldCOMISION_AGENTEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloCOMISION_AGENTE];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetCOMISION_AGENTEValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloCOMISION_AGENTE] := aValue;
end;

function TInfVentasArticuloBusinessProcessorRules.GetIMPORTE_COMISION_AGENTEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloIMPORTE_COMISION_AGENTE];
end;

function TInfVentasArticuloBusinessProcessorRules.GetOldIMPORTE_COMISION_AGENTEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfVentasArticuloIMPORTE_COMISION_AGENTE];
end;

procedure TInfVentasArticuloBusinessProcessorRules.SetIMPORTE_COMISION_AGENTEValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfVentasArticuloIMPORTE_COMISION_AGENTE] := aValue;
end;


initialization
  RegisterBusinessProcessorRules(RID_InfVentasArticuloDelta, TInfVentasArticuloBusinessProcessorRules);

end.
